// Опишіть своїми словами, що таке метод об'єкту?
// Метод об'єкту - це влаштована в об'єкт функція, яка працює з локальними змінними всередині цього об'єкту. Щоб в методі звернутись до властивості об'єкту маємо використовувти "this.", що вказує на те, що змінна знаходиться всередині даного об'єкту.

//Який тип даних може мати значення властивості об'єкта?
// Властивістю об'єкта може бути будь-який тип даних. 

//Об'єкт це посилальний тип даних. Що означає це поняття?
// Це означає, що створюючи об'єкт, всередині нього створюється посилання, тому коли ми хочемо одному об'єкту привласнити значення іншого об'єкта звичайним способом, скопіювати властивості об'єкту ми не зможемо, лише скопіюємо посилання на перший об'єкт. 


const createNewUser = () => {
    const firstName = prompt("Enter your name");
    const lastName = prompt("Enter your last name");

    const newUser = {
        firstName,
        lastName,
        getLogIn () {
            return `${this.firstName[0].toLowerCase()}${this.lastName.toLowerCase()}`;
        },
    }
    return newUser.getLogIn();
}
console.log(createNewUser())